Update authorized senders
PUT
/api/Mailboxes/{id}/authorized-senders
const url = 'https://app.docstosheets.com/api/Mailboxes/example/authorized-senders';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"customEmails":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://app.docstosheets.com/api/Mailboxes/example/authorized-senders \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "customEmails": [ "example" ] }'Replaces the list of email addresses allowed to send documents to the mailbox.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
customEmails
required
Array<string>
Example generated
{ "customEmails": [ "example" ]}Responses
Section titled “ Responses ” Media type application/json
The email addresses allowed to send documents to a mailbox.
object
senders
required
The allowlist entries.
Array<object>
One email address allowed to send documents to the mailbox.
object
email
required
The sender’s email address.
string
source
required
One of:
string
isEditable
required
Whether the entry can be removed; owner and shared entries cannot.
boolean
Example
{ "senders": [ { "source": "owner", "isEditable": true } ]} Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"} Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}